incron 0.5.10

- Main Page
- Classes
- Files

- File List
- File Members

Defines | Functions | Variables
usertable.cpp File Reference

inotify cron daemon user tables implementation More...

`#include <pwd.h>`
`#include <syslog.h>`
`#include <errno.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <grp.h>`
`#include <stdlib.h>`
`#include <sys/stat.h>`
`#include <cstdio>`
`#include <cstring>`
`#include "usertable.h"`
`#include "incroncfg.h"`
`#include "incrontab.h"`

## Defines
#define | DONT_FOLLOW(mask) (false)
#define | DEFAULT_PATH "/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin"
## Functions
void | on_proc_done (InotifyWatch *pW)
## Variables
volatile bool | g_fFinish
| Finish program yes/no.
SUT_MAP | g_ut
| User name to user table mapping table.

## Detailed Description

inotify cron daemon user tables implementation

inotify cron system

Copyright (C) 2006, 2007, 2008, 2012 Lukas Jelinek, <lukas@aiken.cz>

This program is free software; you can use it, redistribute it and/or modify it under the terms of the GNU General Public License, version 2 (see LICENSE-GPL).

Credits: David Santinoli (supplementary groups) Boris Lechner (spaces in event-related file names) Christian Ruppert (new include to build with GCC 4.4+)

## Define Documentation

#define DEFAULT_PATH "/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin"

#define DONT_FOLLOW | ( |  | mask | ) | (false)

## Function Documentation

void on_proc_done | ( | InotifyWatch * | pW | ) |

## Variable Documentation

volatile bool g_fFinish

Finish program yes/no.

SUT_MAP g_ut

User name to user table mapping table.